Austin Group Defect Tracker

Aardvark Mark IV


Viewing Issue Simple Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Type Date Submitted Last Update
0001131 [1003.1(2016)/Issue7+TC2] Shell and Utilities Objection Error 2017-03-21 17:42 2019-10-31 11:39
Reporter Antonio Diaz View Status public  
Assigned To
Priority normal Resolution Accepted As Marked  
Status Applied  
Name Antonio Diaz
Organization GNU
User Reference
Section ed
Page Number 2684
Line Number 87533
Interp Status ---
Final Accepted Text See Note: 0004104
Summary 0001131: The synopsis of the i command is wrong and inconsistent with the synopsis of the a command
Description The synopsis of the i command states that "Address 0 shall be valid for this command; it shall be interpreted as if address 1 were specified".

But the command "1i" is invalid in an empty buffer. If interpreted literally, the synopsis implies that it is not possible to insert text in an empty buffer. IMO, address 0 should always mean "at the beginning of the buffer" instead of sometimes being considered as a synonym for address 1.

The synopsis of the i command also states that "This command differs from the a command only in the placement of the input text". This seems to imply that both commands must set the current address to the same value if no lines are appended/inserted. This value should be 0 for an empty append/insert at address 0 to be consistent with the synopsis of the a command.
See discussion at http://lists.gnu.org/archive/html/bug-ed/2016-04/msg00009.html [^]
Desired Action Change the synopsis of the i command to:

The i command shall insert the given text before the addressed line; the current line number shall become the address of the last inserted line or, if there were none, the addressed line. This command differs from the a command only in the placement of the input text. Address 0 shall be valid for this command; it shall cause the inserted text to be placed at the beginning of the buffer.
Tags tc3-2008
Attached Files

- Relationships
related to 0001130Applied Address 0 does not make sense for the c command 

-  Notes
(0004104)
nick (manager)
2018-09-06 16:32
edited on: 2018-09-06 16:34

On page 2684 line 87533 section ed, change:

Address 0 shall be valid for this command; it shall be interpreted as if address 1 were specified.


to:

Address 0 shall be valid for this command; it is unspecified whether it causes the inserted text to be placed at the beginning of the buffer or it is interpreted as if address 1 were specified. (These two allowed behaviors differ in the case that the buffer is empty.)


(0004106)
nick (manager)
2018-09-06 16:42

Note that the resolution in Note: 0004104 has impact on the rationale; the rationale was changed in 0001130

- Issue History
Date Modified Username Field Change
2017-03-21 17:42 Antonio Diaz New Issue
2017-03-21 17:42 Antonio Diaz Name => Antonio Diaz
2017-03-21 17:42 Antonio Diaz Organization => GNU
2017-03-21 17:42 Antonio Diaz Section => ed
2017-03-21 17:42 Antonio Diaz Page Number => 0
2017-03-21 17:42 Antonio Diaz Line Number => 0
2017-03-21 18:26 salty-horse Issue Monitored: salty-horse
2018-09-06 15:46 nick Page Number 0 => 2684
2018-09-06 15:46 nick Line Number 0 => 87533
2018-09-06 15:46 nick Interp Status => ---
2018-09-06 16:32 nick Note Added: 0004104
2018-09-06 16:33 geoffclare Relationship added related to 0001130
2018-09-06 16:34 nick Note Edited: 0004104
2018-09-06 16:34 nick Note Edited: 0004104
2018-09-06 16:35 nick Final Accepted Text => See Bugnote:0004104
2018-09-06 16:35 nick Status New => Resolved
2018-09-06 16:35 nick Resolution Open => Accepted As Marked
2018-09-06 16:38 nick Tag Attached: tc3-2008
2018-09-06 16:42 nick Note Added: 0004106
2018-09-07 08:18 geoffclare Final Accepted Text See Bugnote:0004104 => See Note: 0004104
2019-10-31 11:39 geoffclare Status Resolved => Applied


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker